function [F, M, P] = sinmodel(d, sr)

[I,S]=ifgram(d,256,256,128,sr);
[R,M]=extractrax(abs(S));     % find peaks in STFT *magnitude*                                                         
F = colinterpvals(R,I);
P = -colinterpvals(R,unwrap(angle(S)));
end